%{!?perl_vendorlib: %define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:           perl-XML-SAX
Version:        0.12
Release:        0.fdr.6.rh90
Epoch:          0
Summary:        SAX2 XML parser, filter, and driver framework classes for Perl

License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-SAX/
Source:       http://www.cpan.org/authors/id/M/MS/MSERGEANT/XML-SAX-0.12.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(XML::NamespaceSupport)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# rpm doesn't catch these automatically.
Provides:       perl(XML::SAX::PurePerl::DocType)
Provides:       perl(XML::SAX::PurePerl::DTDDecls)
Provides:       perl(XML::SAX::PurePerl::EncodingDetect)
Provides:       perl(XML::SAX::PurePerl::NoUnicodeExt)
Provides:       perl(XML::SAX::PurePerl::UnicodeExt)
Provides:       perl(XML::SAX::PurePerl::XMLDecl)

%description
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.


%prep
%setup -q -n XML-SAX-%{version}
# We'll do the parser registration ourselves at postinstall time
%{__perl} -pi -e 's|"Y"|"N"|' Makefile.PL


%build
echo N | %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*
# Create XML::SAX configuration file
> $RPM_BUILD_ROOT%{perl_vendorlib}/XML/SAX/ParserDetails.ini


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__perl} -MXML::SAX -e \
  'XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()' 2>/dev/null

%preun
if [ $1 -eq 0 ]; then
  %{__perl} -MXML::SAX -e \
    'XML::SAX->remove_parser(q(XML::SAX::PurePerl))->save_parsers()'
fi


%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%dir %{perl_vendorlib}/XML
%{perl_vendorlib}/XML/SAX.pm
%dir %{perl_vendorlib}/XML/SAX
%{perl_vendorlib}/XML/SAX/*.pm
%{perl_vendorlib}/XML/SAX/*.pod
%{perl_vendorlib}/XML/SAX/PurePerl
%{_mandir}/man3/*.3*
%ghost %{perl_vendorlib}/XML/SAX/ParserDetails.ini
%exclude %{perl_vendorlib}/XML/SAX/placeholder.pl


%changelog
* Wed May 12 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.12-0.fdr.6
- Avoid creation of the perllocal.pod file (make pure_install).

* Thu May  6 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.12-0.fdr.5
- canonical BuildRoot.
- moved make test into the %check section
- minor modification to the %files section

* Mon Apr 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.4
- Require perl(:MODULE_COMPAT_*).

* Sun Nov 16 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.3
- BuildRequires perl-XML-NamespaceSupport.

* Tue Sep 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.12-0.fdr.2
- Install into vendor dirs.
- Spec cleanup.

* Wed Jul 16 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:0.12-0.fdr.1
- First build.
